summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Andrew Clemons <andrew.clemons@gmail.com>2020-06-01 08:42:26 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-06-01 08:42:38 +0700
commit4fe92f598265e341569c417b08ac12e859239f39 (patch)
tree6b7495910d5f24e46620b9643752ccc0458e73ad /network
parentde09653d3fb3218d6113166a98cd43322e919a17 (diff)
downloadslackbuilds-4fe92f598265e341569c417b08ac12e859239f39.tar.gz
slackbuilds-4fe92f598265e341569c417b08ac12e859239f39.tar.xz
network/prosody-mod-turncredentials: Added (TURN credentials).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/prosody-mod-turncredentials/README3
-rw-r--r--network/prosody-mod-turncredentials/prosody-mod-turncredentials.SlackBuild83
-rw-r--r--network/prosody-mod-turncredentials/prosody-mod-turncredentials.info10
-rw-r--r--network/prosody-mod-turncredentials/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/network/prosody-mod-turncredentials/README b/network/prosody-mod-turncredentials/README
new file mode 100644
index 0000000000..76b7974ff8
--- /dev/null
+++ b/network/prosody-mod-turncredentials/README
@@ -0,0 +1,3 @@
+prosody-mod-turncredentials (XEP-0215: impl for TURN credentials)
+
+This module provides an implementation for time-limited TURN credentials.
diff --git a/network/prosody-mod-turncredentials/prosody-mod-turncredentials.SlackBuild b/network/prosody-mod-turncredentials/prosody-mod-turncredentials.SlackBuild
new file mode 100644
index 0000000000..bc3b6219b5
--- /dev/null
+++ b/network/prosody-mod-turncredentials/prosody-mod-turncredentials.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for prosody-mod-turncredentials
+
+# Copyright 2020 Andrew Clemons, Wellington, New Zealand
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=prosody-mod-turncredentials
+MDLNAM=$(echo $PRGNAM | sed 's/prosody-//' | tr '-' '_')
+VERSION=${VERSION:-hg4020}
+REVISION=${REVISION:-4b47c8eeca22}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf Community-Modules-$REVISION
+tar xvf $CWD/Community-Modules-$REVISION.tar.gz || tar xvf $CWD/$REVISION.tar.gz
+cd Community-Modules-$REVISION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/prosody/modules/
+cp -a $MDLNAM $PKG/usr/lib${LIBDIRSUFFIX}/prosody/modules/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv \
+ $PKG/usr/lib${LIBDIRSUFFIX}/prosody/modules/$MDLNAM/README.markdown \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/prosody-mod-turncredentials/prosody-mod-turncredentials.info b/network/prosody-mod-turncredentials/prosody-mod-turncredentials.info
new file mode 100644
index 0000000000..c39612fdc1
--- /dev/null
+++ b/network/prosody-mod-turncredentials/prosody-mod-turncredentials.info
@@ -0,0 +1,10 @@
+PRGNAM="prosody-mod-turncredentials"
+VERSION="hg4020"
+HOMEPAGE="https://modules.prosody.im/mod_turncredentials.html"
+DOWNLOAD="https://hg.prosody.im/prosody-modules/archive/4b47c8eeca22.tar.gz"
+MD5SUM="36c484a0f1905c5f17bc0d369786bc08"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="prosody"
+MAINTAINER="Andrew Clemons"
+EMAIL="andrew.clemons@gmail.com"
diff --git a/network/prosody-mod-turncredentials/slack-desc b/network/prosody-mod-turncredentials/slack-desc
new file mode 100644
index 0000000000..a7169445c9
--- /dev/null
+++ b/network/prosody-mod-turncredentials/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+prosody-mod-turncredentials: prosody-mod-turncredentials (XEP-0215: time-limited TURN credentials)
+prosody-mod-turncredentials:
+prosody-mod-turncredentials: This module provides an implementation for time-limited TURN
+prosody-mod-turncredentials: credentials.
+prosody-mod-turncredentials:
+prosody-mod-turncredentials:
+prosody-mod-turncredentials:
+prosody-mod-turncredentials:
+prosody-mod-turncredentials:
+prosody-mod-turncredentials: https://modules.prosody.im/mod_turncredentials.html
+prosody-mod-turncredentials: